QComponent (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QComponent

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    CommentMarkerImpl, ComponentImpl, DescriptiveClipImpl, DescriptiveMarkerImpl, EdgeCodeSegmentImpl, EssenceGroupImpl, EventImpl, FillerImpl, GPITriggerImpl, HTMLClipImpl, NestedScopeImpl, OperationGroupImpl, PulldownImpl, ScopeReferenceImpl, SegmentImpl, SelectorImpl, SequenceImpl, SourceClipImpl, SourceReferenceSegmentImpl, TextClipImpl, TimecodeSegmentImpl, TimecodeStream12MImpl, TimecodeStreamImpl, TransitionImpl

      public interface QComponent
      extends Component

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEditName()`
    `int` | `getJupiterClipOffset()`
    `String` | `getJupiterID()`
    `void` | `setEditName(String editName)`
    `void` | `setJupiterClipOffset(Integer jupiterClipOffset)`
    `void` | `setJupiterID(String jupiterID)`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, clone, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getJupiterID

          String getJupiterID()
                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setJupiterID

          void setJupiterID(String jupiterID)

    - #### getJupiterClipOffset

          @Int32
          int getJupiterClipOffset()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setJupiterClipOffset

          void setJupiterClipOffset(@Int32
                                    Integer jupiterClipOffset)

    - #### getEditName

          String getEditName()
                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEditName

          void setEditName(String editName)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.